clang-tools 10.0.0

Public Member Functions | Public Attributes | List of all members
clang::clangd::MockFSProvider Class Reference

`#include <TestFS.h>`

Inheritance diagram for clang::clangd::MockFSProvider:
[legend]
Collaboration diagram for clang::clangd::MockFSProvider:
[legend]

## Public Member Functions
IntrusiveRefCntPtr< llvm::vfs::FileSystem > | getFileSystem () const override
| Called by ClangdServer to obtain a vfs::FileSystem to be used for parsing. More...
Public Member Functions inherited from clang::clangd::FileSystemProvider
virtual | ~FileSystemProvider ()=default

## Public Attributes
llvm::StringMap< std::string > | Files

## Detailed Description

Definition at line 31 of file TestFS.h.

## Member Function Documentation

## ◆ getFileSystem()

IntrusiveRefCntPtr<llvm::vfs::FileSystem> clang::clangd::MockFSProvider::getFileSystem | ( |  | ) | const
| inline override virtual

Called by ClangdServer to obtain a vfs::FileSystem to be used for parsing.

Context::current() will be the context passed to the clang entrypoint, such as addDocument(), and will also be propagated to result callbacks. Embedders may use this to isolate filesystem accesses.

Implements clang::clangd::FileSystemProvider.

Definition at line 33 of file TestFS.h.

References clang::clangd::buildTestFS().

## Member Data Documentation

## ◆ Files

llvm::StringMap<std::string> clang::clangd::MockFSProvider::Files

Definition at line 38 of file TestFS.h.

Referenced by clang::clangd::TEST_F().

The documentation for this class was generated from the following file:

- TestFS.h